Subject: Re: bug#25706: 26.0.50; Slow C file fontification

From: Ravine Var <[email-masked]>
Date: Fri, 11 Dec 2020 16:25:20 +0530

Alan Mackenzie <[email-masked]> writes:
> To fix this, can I ask you, please, to try adding the following patch to
> your already patched software, and let me know if it helps at all.  If
> it does, that's great, if not, could I ask you to do another profile for
> me on the less powerful machine, say by opening the buffer, starting the
> profiler, then moving to the middle of the buffer with C-u 5 M->.  This
> may take some time to profile.  Thanks!

Doing C-u 5 M-> just jumps to the middle immediately. The problem
happens when the file is opened and I start scrolling with C-v.
With the new patch, things are still bad - emacs freezes almost
instantly.

I tested with 3 patches applied from messages 35, 95 and 128.

Here's the profile with emacs -Q :

https://gist.github.com/ravine-var/48b3e1469ac5a7f3c3df8d6d9313661a